# SWDB

# \Team

A Team.

Represents an object from the table 'unit'.

## Summary

Methods
Properties
Constants
__construct()
$db
$uid
$id
$name
$description
$unit
$area
$stage
$difficulty
No constants found
No protected methods found
No protected properties found
N/A
No private methods found
No private properties found
N/A

File
  application/entity/Team.php
Package
  Default
Class hierarchy
  \Entity
  \Team

## Tags

category | Entity

## Properties

### $db

    $db : resource

#### Type

resource — Database connection.

#

Inherited from
  \Entity

## Tags

None found

### $uid

    $uid : integer

#### Type

integer — Owner identifier.

#

## Tags

None found

### $id

    $id : integer

#### Type

integer — Team identifier.

#

## Tags

None found

### $name

    $name : string

#### Type

string — Team name.

#

## Tags

None found

### $description

    $description : string

#### Type

string — Team description.

#

## Tags

None found

### $unit

    $unit : array<mixed,\Unit>

#### Type

array<mixed,\Unit> — Units in the team.

#

## Tags

None found

### $area

    $area : \Area

#### Type

\Area — Area the team is designed for.

#

## Tags

None found

### $stage

    $stage : integer

#### Type

integer — Stage the team is designed for. It can be null.

#

## Tags

None found

### $difficulty

    $difficulty : integer

#### Type

integer — difficulty the team is designed for. It can be null.

#

See also
  \DIFFICULTY

## Tags

None found

## Methods

### __construct()

    __construct(resource  $db, integer  $id, boolean  $complete = true)

Constructor.

Searches the database and retrieves the information about the monster, populating it and it's items.

#### Parameters

resource | $db | Connection to the database.
integer | $id | Monster identifier.
boolean | $complete | If false, it won't load the units.

#

## Tags

None found

### Team.php